package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WfFileConfig;

import java.util.List;

/**
 * WfFileConfigService接口
 *
 * @author hlf
 * @date 2021-08-04
 */
public interface IWfFileConfigService {
    /**
     * 查询WfFileConfig
     *
     * @param windplantNo WfFileConfigID
     * @return WfFileConfig
     */
    public WfFileConfig selectWfFileConfigById(Long windplantNo);

    /**
     * 查询WfFileConfig列表
     *
     * @param wfFileConfig WfFileConfig
     * @return WfFileConfig集合
     */
    public List<WfFileConfig> selectWfFileConfigList(WfFileConfig wfFileConfig);

    /**
     * 新增WfFileConfig
     *
     * @param wfFileConfig WfFileConfig
     * @return 结果
     */
    public int insertWfFileConfig(WfFileConfig wfFileConfig);

    /**
     * 修改WfFileConfig
     *
     * @param wfFileConfig WfFileConfig
     * @return 结果
     */
    public int updateWfFileConfig(WfFileConfig wfFileConfig);

    /**
     * 删除WfFileConfig信息
     *
     * @param windplantNo WfFileConfigID
     * @return 结果
     */
    public int deleteWfFileConfigById(Long windplantNo);

    /**
     * 批量删除WfFileConfig
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteWfFileConfigByIds(String ids);

    String checkWindplantNoUnique(Long windplantNo);
}
